{ pkgs, ... }:
with pkgs;
rustPlatform.buildRustPackage rec {
  pname = "comet-gog";
  version = "e313c8a";

  src = fetchFromGitHub {
    owner = "imLinguin";
    repo = "comet";
    rev = "684a6bd03a2b6d10e9bb7afaf293145d51f1acf4";
    hash = "sha256-t/33ep4y/sJmyT7BuDNDjJdERA9XF+7buagzSMTV4ro=";
    fetchSubmodules = true;
  };

  PROTOC = "${protobuf}/bin/protoc";
  PROTOC_INCLUDE = "${protobuf}/include";
  nativeBuildInputs = [ protobuf ];

  cargoLock.lockFile = src + /Cargo.lock;
}
