{ inputs, pkgs, ... }: {
  programs.helix = {
    enable = true;
    settings = {
      theme = "catppuccin_frappe";
      editor = {
        auto-pairs = false;
        mouse = false;
        line-number = "relative";
        lsp.display-messages = true;
        color-modes = true;
        cursor-shape = {
          normal = "block";
          insert = "bar";
          select = "underline";
        };
        statusline = {
          left = [
            "mode"
            "file-modification-indicator"
            "diagnostics"
            "file-name"
            "read-only-indicator"
          ];
          center = [ "spinner" ];
          right = [ "file-type" "separator" "position" "total-line-numbers" ];
          mode = {
            normal = "N";
            insert = "I";
            select = "V";
          };
        };
      };
    };
    languages.language = [{
      name = "nix";
      auto-format = true;
      formatter.command = "${pkgs.nixfmt-classic}/bin/nixfmt";
    }];
    extraPackages = [ pkgs.nil ];
  };
}
